Breadcrumbs

Metavault API - Get reference table

GetReferenceTable - GET

Path

/api/projects/{projectId}/referencetables/{referenceTableId}

Http Method

GET

Overview

Get a reference table

Required permissions

  • Read access to the Source module. SOURCE read

Response

Success response (200 OK)

JSON
{
  "name": "MyReferenceTable",
  "id": "7810438a-faca-4cee-9669-cee01fda94c7",
  "entityType": "ReferenceTable",
  "businessDescription": "",
  "technicalDescription": "",
  "isDeployedInProduction": false,
  "stagingTableId": "662c1259e3c34c099b9762850064d8b6",
  "targetTableName": "ref.MyReferenceTable",
  "columns": [
    {
      "id": "8fe01bf7-26ca-40b7-b64b-00dbf9fc1a39",
      "dataPackageColumnId": "3c8bfb48192543899f8703a400a05b1b",
      "businessName": "",
      "columnName": "column3",
      "typeFullName": "VARCHAR",
      "dataType": "String",
      "defaultValue": "",
      "description": "",
      "order": 0
    },
    {
      "id": "94616ee4-4d58-49b9-aec6-acf8d3d08728",
      "dataPackageColumnId": "42e807ece62a4920842c46c5be117ae7",
      "businessName": "",
      "columnName": "column4",
      "typeFullName": "VARCHAR",
      "dataType": "String",
      "defaultValue": "",
      "description": "",
      "order": 1
    }
  ]
}
Response fields

Field

Type

Description

name

string

The name

id

string

The id of the object

entityType

string

“ReferenceTable“